Closed Bug 955309 Opened 6 years ago Closed 1 year ago

Change to use Services.jsm for remaining services where it is available but not used yet

Categories

(Chat Core :: General, enhancement)

enhancement
Not set

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: Mic, Unassigned)

Details

Attachments

(1 file)

*** Original post on bio 1876 at 2013-02-16 10:01:00 UTC ***

I think there are a few (not many) services (e.g. appShellService in [1]) for which we could use Service.jsm's lazy getters instead of calling directly or defining our own lazy getters.
A list of available services is here [2], even though checking Services.jsm's code itself might not hurt either.

[1] http://lxr.instantbird.org/instantbird/source/chat/modules/hiddenWindow.jsm
[2] https://developer.mozilla.org/en-US/docs/Mozilla/JavaScript_code_modules/Services.jsm
Attached patch WIPSplinter Review
*** Original post on bio 1876 as attmnt 2234 at 2013-02-17 15:12:00 UTC ***

I went through the list of interfaces in [2] and replaced them where I thought it was appropriate. I exluded files that we inherited from Firefox/.. like engineManager.js. I thought it might be better in case that we'd ever want to copy changes from their side in to keep these files as intact as possible.

It's a WIP and untested.
Assignee: nobody → benediktp
Status: NEW → ASSIGNED
*** Original post on bio 1876 at 2013-03-08 21:08:38 UTC ***

Some (or all?) work here was done in comm-central and imported to Instantbird already.
*** Original post on bio 1876 at 2013-03-08 21:22:47 UTC ***

(In reply to comment #2)
> Some (or all?) work here was done in comm-central and imported to Instantbird
> already.

The imported changes only touched chat/, not the instantbird/ part.
Mass-removing myself from being assignee of any Chat related bug as I'm no longer active.
Assignee: benediktp → nobody
Status: ASSIGNED → NEW
Instantbird is no longer being developed.
Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.